import { request } from '@/utils/request.js';

// unit-manage
export const serviceUnitQueryApi = (data) =>
  request({
    url: '/api/service/service/unit/page',
    params: data,
  });
export const serviceUnitEditApi = (data) =>
  request({
    url: '/api/service/service/unit/edit',
    data,
  });
export const serviceUnitPublishApi = (id) =>
  request({
    url: '/api/service/service/unit/publish',
    params: { id },
  });
export const serviceUnitClozeApi = (id) =>
  request({
    url: '/api/service/service/unit/cloze',
    params: { id },
  });
export const serviceUnitRestartApi = (id) =>
  request({
    url: '/api/service/service/unit/restart',
    params: { id },
  });
export const serviceUnitCancelApi = (id) =>
  request({
    url: '/api/service/service/unit/cancel',
    params: { id },
  });

// range-manage
export const serviceScopeQueryApi = (data) =>
  request({
    url: '/api/service/service/scope/page',
    params: data,
  });
export const serviceScopeUnbindCrmQueryApi = (data) =>
  request({
    url: '/api/service/service/scope/unbind/page',
    params: data,
  });
export const serviceScopeSubTotalApi = () =>
  request({
    url: '/api/service/service/scope/subTotal',
  });
export const serviceScopeBindBatchApi = (data) =>
  request({
    url: '/api/service/service/scope/bind_batch',
    data,
  });
export const serviceScopeUnbindApi = (crmId) =>
  request({
    url: '/api/service/service/scope/unbind',
    params: { crmId },
  });

// regional-planning
export const serviceRegionQueryApi = (data) =>
  request({
    url: '/api/service/service/region/page',
    params: data,
  });
export const serviceRegionEditApi = (data) =>
  request({
    url: '/api/service/service/region/edit',
    data,
  });
export const serviceRegionRemoveApi = (serviceRegionId) =>
  request({
    url: '/api/service/service/region/remove',
    params: { serviceRegionId },
  });
