import myWorkbenches from './modules/myWorkbenches';
import serviceUnit from './modules/serviceUnit';
import sop from './modules/sop';
import resourceGuard from './modules/resourceGuard';
import workHours from './modules/workHours';
import projectQuality from './modules/projectQuality';
import User from './modules/user';
import System from './modules/system';

const asyncRoutes = [
  myWorkbenches,
  serviceUnit,
  sop,
  resourceGuard,
  workHours,
  projectQuality,
  User,
  System,
];
export const moduleMap = asyncRoutes.reduce((obj, item) => {
  obj[item.path.slice(1)] = item.name;
  return obj;
}, {});

//用户得登录后才有的非菜单的路由白名单，与菜单权限无关，
//比如依赖登录后的自我修改密码界面(点击右上角的头像下拉菜单里的“修改密码”)
export const routesNotMenu = [
  {
    name: 'PasswordModify',
    path: '/bootstrap/password-modify',
    component: () => import('@/views/password-modify/index.vue'),
    meta: {
      title: '密码修改',
      mount: 'Bootstrap', //需要挂载在哪个路由节点下
    },
  },
];

// export const whiteMenuList = [
//   {
//     id: 100,
//     title: '我的工作台',
//     parentId: 0,
//     url: '/my-workbenches',
//     sort: 0,
//     name: 'MyWorkbenches',
//   },
//   {
//     id: 101,
//     parentId: 100,
//     url: '/my-workbenches/workbenches',
//     title: '工作台',
//     sort: 1,
//     name: 'Workbenches',
//   },
//   {
//     id: 102,
//     parentId: 101,
//     url: '/my-workbenches/workbenches/message-reminder',
//     title: '消息提醒',
//     sort: 2,
//     name: 'MessageReminder',
//   },
//   {
//     id: 103,
//     parentId: 101,
//     url: '/my-workbenches/workbenches/my-tasks',
//     title: '待办任务',
//     sort: 3,
//     name: 'MyTasks',
//   },
//   {
//     id: 104,
//     parentId: 101,
//     url: '/my-workbenches/workbenches/notice',
//     title: '通知公告',
//     sort: 4,
//     name: 'Notice',
//   },
// ];
export default asyncRoutes;
